package routes

import (
	"net/http"

	"gitea.henriburau.de/haw-lan/cod4watcher/views/cod4server"
)

func (s *Server) HandleServerStatus(w http.ResponseWriter, r *http.Request) error {
	status, err := s.c4s.GetServerStatus(r.URL.Query().Get("host"), r.URL.Query().Get("port"))
	if err != nil {
		w.WriteHeader(http.StatusBadRequest)
		return err
	}

	return Render(w, r, cod4server.ServerStatus(status))
}
