package routes

import (
	"net/http"

	"gitea.henriburau.de/haw-lan/cod4watcher/models"
	"gitea.henriburau.de/haw-lan/cod4watcher/views"
	"gitea.henriburau.de/haw-lan/cod4watcher/views/home"
)

func (s *Server) HandleHome(w http.ResponseWriter, r *http.Request) error {

	var captureList []models.Capture
	var err error
	if views.Username(r.Context()) != "" {
		captureList, err = s.cs.GetCaptures(r.Context())
	} else {
		captureList, err = s.cs.GetActiveCapures(r.Context())
	}

	if err != nil {
		return err
	}

	return Render(w, r, home.Index(captureList))
}
